This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 490046 - linphone: Update to 3.x.x?
linphone: Update to 3.x.x?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: linphone (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 555510
  Show dependency treegraph
 
Reported: 2009-03-12 18:53 EDT by Stefan Neufeind
Modified: 2010-09-28 14:34 EDT (History)
13 users (show)

See Also:
Fixed In Version: linphone-3.2.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-28 14:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2009-03-12 18:53:47 EDT
Any chance to maybe get an update to 3.0.0 integrated? Maybe as linphone3 for F10? Or at least for development aka F11?
Comment 1 Rakesh Pandit 2009-03-12 22:55:51 EDT
Yeah ... I will be working on it and hopefully yes.
Comment 2 Matěj Cepl 2009-08-21 09:53:53 EDT
Well, it should be "update to 3.1.2" now :)
http://mirror.lihnidos.org/GNU/savannah/linphone/stable/sources/
Comment 3 Matěj Cepl 2009-08-21 19:20:41 EDT
There is now experimental package of the newest linphone at http://mcepl.fedorapeople.org/tmp/linphone-3.1.2-0.video.1.fc12.src.rpm but it is not ready for public consumption:

- I had to use internal otp library
- video is compiled in but doesn't work (at least for me on computer, where GStreamer-based video works just fine with ekiga and pidgin)
- I am not sure with my dealing with rpaths (upstream has been informed about the problem) ... in the end I used chrpath, but not sure whether Ralf wouldn't prefer to update his patching of configure. and whether I haven't skipped over some of his improvements in autofoo.

Scratch build in koji failed http://koji.fedoraproject.org/koji/taskinfo?taskID=1624355 I will investigate later.
Comment 4 Rakesh Pandit 2009-08-23 03:54:16 EDT
Thanks for your work,

Koji wouldn't be able to find ffmpeg-devel so it failed.

I will try looking into it and test a bit.
Comment 5 Rakesh Pandit 2009-08-23 04:30:18 EDT
The SDL-devel BR was missing .. I will further look into it later .. have used your srpm above 

http://rakesh.fedorapeople.org/linephone/
Comment 6 Ralf Corsepius 2009-08-23 04:50:17 EDT
- libglade2-devel is also missing.

- %{libdir}/*ortp* conflicts with ortp/ortp-devel

(In reply to comment #3)
Matej, this package is one of the rare cases, which violetly broke during the FC11 massrebuild due to running the autotools while building.
Comment 7 Matěj Cepl 2009-08-23 15:18:41 EDT
> (In reply to comment #3)
> Matej, this package is one of the rare cases, which violetly broke during the
> FC11 massrebuild due to running the autotools while building.  

OK, and as you could notice, I haven't suggested running autotools in .spec, I know your opinion about that :). What do you think about chrpath and removing rpath ex-post in %install (or in the end of %build)?
Comment 8 Matěj Cepl 2009-08-24 10:00:13 EDT
(In reply to comment #6)
> - libglade2-devel is also missing.
> 
> - %{libdir}/*ortp* conflicts with ortp/ortp-devel

and yes for now I am not depending on ortp ... it should be fixed before pushing the package into Fedora, but for now it doesn't build for me and the upstream maintainer (http://article.gmane.org/gmane.comp.voip.linphone.user/3050) suggested that released ortp is too old to compile the latest linphone.
Comment 9 Ralf Corsepius 2009-08-24 11:22:55 EDT
(In reply to comment #8)
> (In reply to comment #6)
> > - libglade2-devel is also missing.
> > 
> > - %{libdir}/*ortp* conflicts with ortp/ortp-devel
> 
> and yes for now I am not depending on ortp ... 
You (or Rakesh) have this in your spec:
%{_libdir}/libortp.so.*

This collides.

> (http://article.gmane.org/gmane.comp.voip.linphone.user/3050) suggested that
> released ortp is too old to compile the latest linphone.  
Well, do I read this correctly? The upstream maintainers of oRTP and linphone are the same person? ... You don't really want to know what I think of this.
Comment 10 Matěj Cepl 2009-08-24 11:38:49 EDT
(In reply to comment #5)
> The SDL-devel BR was missing .. I will further look into it later .. have used
> your srpm above 
> 
> http://rakesh.fedorapeople.org/linephone/  

src.rpm seems to be broken ... cpio is not able to unpackage it.
Comment 11 Matěj Cepl 2009-08-25 11:28:35 EDT
I have built it just using your specfile and upstream tarball, but I don't think this package will fly:

BuildRequires:  ffmpeg-devel

in Fedora package won't fly.
Comment 12 Bug Zapper 2009-11-16 04:51:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Rex Dieter 2009-11-24 12:44:28 EST
looks like incoming kde-4.4 (kdenetwork) can include libphone support, but it requires at least 2.3.0, in particular,
http://www.linphone.org/index.php/eng/code_review/mediastreamer2

So getting this into rawhide (and preferably F-12 and possibly F-11 too) would be nice.
Comment 14 Rakesh Pandit 2009-11-30 06:18:32 EST
I have updated ortp to 0.16.1. Will move linphone to rpmfusion.org

Will need some help here:

My spec is here and so is a desktop file patch:
http://rakesh.fedorapeople.org/linphone/

Source is:
http://savannah.inetbridge.net/linphone/3.1.x/sources/linphone-3.1.2.tar.gz

May you look into it ? :)

I get this:
mv -f .deps/videoout.Tpo .deps/videoout.Plo
mv -f .deps/videostream.Tpo .deps/videostream.Plo
/bin/sh ../libtool --tag=CXX   --mode=link g++ -I.. -I../../oRTP/include  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -rdynamic  -o libmediastreamer.la -rpath /usr/lib64 mscommon.lo msfilter.lo msqueue.lo msticker.lo alaw.lo ulaw.lo mssndcard.lo msrtp.lo dtmfgen.lo ice.lo tee.lo msconf.lo msjoin.lo msvolume.lo mswebcam.lo mtu.lo void.lo dsptools.lo kiss_fft.lo kiss_fftr.lo equalizer.lo audiostream.lo msspeex.lo speexec.lo gsm.lo  msfileplayer.lo msfilerec.lo msresample.lo alsa.lo oss.lo      msv4l.lo msv4l2.lo   videoenc.lo videodec.lo pixconv.lo sizeconv.lo nowebcam.lo videoout.lo msvideo.lo rfc3984.lo mire.lo videostream.lo ../../oRTP/src/libortp.la  -lasound  -lspeex   -lspeexdsp   -lgsm   -lavcodec   -lswscale   -lSDL -lpthread   -lX11   -pthread -lpthread -lrt -ldl
libtool: link: unsupported hardcode properties
libtool: link: See the libtool documentation for more information.
libtool: link: Fatal configuration error.
make[5]: *** [libmediastreamer.la] Error 1
make[5]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1/mediastreamer2/src'
make[4]: *** [all] Error 2
make[4]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1/mediastreamer2/src'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1/mediastreamer2'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1/mediastreamer2'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/rakesh/rpmbuild/BUILD/linphone-3.2.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.UQb0vx (%build)

Thanks,
Comment 15 Rakesh Pandit 2009-11-30 07:35:36 EST
(In reply to comment #14)
[..]
> http://savannah.inetbridge.net/linphone/3.1.x/sources/linphone-3.1.2.tar.gz
> 
> May you look into it ? :)
> 

For @Rex

Thanks,
Comment 16 Kevin Kofler 2009-11-30 08:53:15 EST
I guess this means we can't build kdenetwork against libmediastreamer. We'd need the patent-encumbered codecs split out somehow, but libmediastreamer doesn't seem to support that. :-(
Comment 17 Kevin Kofler 2009-12-04 19:38:12 EST
According to http://www.linphone.org/index.php/eng/code_review/mediastreamer2 and http://www.linphone.org/index.php/eng/download it should be possible to build this stuff without ffmpeg support, which would allow it to stay in Fedora and kdenetwork to build against it. I think this is preferable. RPM Fusion can then carry a linphone-freeworld which either complements linphone with plugins (preferred if possible) or replaces it (which is how things have to be done when it's a compile-time decision).
Comment 18 Kevin Kofler 2009-12-04 19:43:23 EST
That said, some stuff will also have to be removed from the tarball for patent reasons, e.g. linphone/mediastreamer2/plugins which contains implementations of iLBC (is that patent-encumbered?) and H.264 (which is definitely patent-encumbered).
Comment 19 Kevin Kofler 2009-12-04 19:47:59 EST
Sadly, without FFmpeg, video support apparently gets entirely disabled, even Theora, and it's a compile-time decision, which is made both for the mediastreamer2 library and the linphone application. :-(
Comment 20 Matěj Cepl 2009-12-05 05:47:52 EST
(In reply to comment #17)
> It should be possible to
> build this stuff without ffmpeg support, which would allow it to stay in Fedora

Why not go rather way of splitting ffmpeg (as Debian does) into ffmpeg-non-free-world (for inclusion into Fedora proper) and ffmpeg-freeworld-codecs? I guess it is preferable to keep {free,nonfree}world split as low-level as possible, isn't it?
Comment 21 Matěj Cepl 2009-12-05 05:50:04 EST
I was told by linphone upstream, that linphone built just against the non-free-world ffmpeg is able to use freeworld codecs when they are available.
Comment 22 Kevin Kofler 2009-12-11 12:45:18 EST
Grrr, it turns out we'll need the mediastreamer library to provide existing KDE 4.3 functionality in KDE 4.4 (Jingle, a.k.a. Google Talk voice chat, support now requires it).
Comment 23 Rakesh Pandit 2010-01-16 10:28:49 EST
This is hanging for too long. I have posted a review at rpmfussion. It seems best to move this to rpmfussion:

https://bugzilla.rpmfusion.org/show_bug.cgi?id=1043 is review request.

Thanks,
Comment 24 Kevin Kofler 2010-01-16 11:09:34 EST
Unfortunately, that doesn't help us at all for KDE. We need libmediastreamer at build time and obviously we can't build against packages from RPM Fusion. At the moment, in Kopete, we're shipping the old Jingle plugin (not using the Google Talk enhancements, so I have no idea whether it even interoperates properly with Google Talk or with Kopete builds using the new version) and we don't have voice chat support in the WLM plugin either. But I don't have a good solution to the "video support requires ffmpeg" problem either. :-( I guess we could build some mediastreamer-audioonly package for Kopete and get that into Fedora, but 1. we'll need to be careful to avoid conflicts with the video-enabled builds and 2. this is not going to help if Kopete starts (or already does) requiring/using video support.
Comment 25 Nicolas Chauvet (kwizart) 2010-02-26 05:31:51 EST
(In reply to comment #21)
> I was told by linphone upstream, that linphone built just against the
> non-free-world ffmpeg is able to use freeworld codecs when they are available.    
I'm not sure about this point, because it will probably requires for the two packages to match, or at least for the ABI to be the same.
Do you mind the qffmpeg package (currently only in RHEL for the SPICE project) could fit the need ?
Comment 26 Chen Lei 2010-02-26 08:11:38 EST
(In reply to comment #21)
> I was told by linphone upstream, that linphone built just against the
> non-free-world ffmpeg is able to use freeworld codecs when they are available.    

Agree, but it will be better if it can be done by upstream like gstreamer(good bad-free bad ugly)
Comment 27 Alex Lancaster 2010-03-07 01:58:57 EST
While this discussion is going on, something needs to be done about linphone in branched/F-13 immediately as it's currently causing broken deps, which doesn't help any users more details on bug #555510 comment #8.
Comment 28 Rakesh Pandit 2010-03-26 06:25:08 EDT
Sadly, I haven't got enough time to look into it this month. But hopefully 
April first week will have a look.

Thanks,
Comment 29 Mitch Davis 2010-06-29 01:45:03 EDT
The linphone team have released 3.3.1.
Comment 30 Anthony Messina 2010-07-15 22:16:24 EDT
Would it be possible to update to 3.3.2 or patch to fix for the SDP IPv6 bug mentioned here: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578950

Thank you.
Comment 31 Matěj Cepl 2010-09-28 14:34:04 EDT
Not relevant any more ... made obsolete by bug 555510

Note You need to log in before you can comment on or make changes to this bug.